package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwGlInitbuild;
import com.dhcc.finance.main.domain.CwGlInitbuildExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwGlInitbuildMapper {

	long countByExample(CwGlInitbuildExample example);

	int deleteByExample(CwGlInitbuildExample example);

	int deleteByPrimaryKey(String pkInitbuild);

	int insert(CwGlInitbuild record);

	int insertSelective(CwGlInitbuild record);

	List<CwGlInitbuild> selectByExample(CwGlInitbuildExample example);

	CwGlInitbuild selectByPrimaryKey(String pkInitbuild);

	int updateByExampleSelective(@Param("record") CwGlInitbuild record, @Param("example") CwGlInitbuildExample example);

	int updateByExample(@Param("record") CwGlInitbuild record, @Param("example") CwGlInitbuildExample example);

	int updateByPrimaryKeySelective(CwGlInitbuild record);

	int updateByPrimaryKey(CwGlInitbuild record);
}